<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_5fde92609a4" . "3c9160462278" . "aec060406" => base64_decode("Y29tbW9uLnVua25vd2" . "4="), "_7ee25317ffedb4fe27bf0" . "b5036469b94" => base64_decode("Y29tbW9uLnR" . "5cGUuZm9sZG" . "Vy"), "_0c5123aa744f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw" . "=="), "_eb56828483919e" . "173c6ab772a8fa7" . "d6d" => base64_decode("Y29tbW9uL" . "nR5cGUuZG" . "9jdW1lbnQ" . "="), "_9410d17985408ab6a2962e6fdb" . "621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJudGFnLn" . "Zlcg=="), "_86e12158655092a983" . "8a837f6cf6d639" => base64_decode("Li4vY29tbW9uL2" . "VybXNfcGtnLnBo" . "cA=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_86e121586" . "55092a9838" . "a837f6cf6d" . "639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_86e12158655092a9838a837f6cf6d63" . "9"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_7ee25317ffedb4fe2" . "7bf0b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_eb56828483919e173c6ab772" . "a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_9410d17985408ab6a2962e6fdb621" . "c5e"]);
        }
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5fde92609a43c9160462278a" . "ec060406"]);
    }
}